Skip to main content
Settings/SNMP Operations
GETSNMP OperationsSince 4.7.21SynchronousAuth Required

QuerySnmpAgent

QuerySnmpAgent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • versionStringRequired

      The protocol version.

    • readCommunityStringRequired

      The read community (used for the v2c version).

    • userNameStringRequired

      The user name (used for the v3 version).

    • authAlgorithmStringRequired

      The authentication algorithm.

    • authPasswordStringRequired

      The authentication password.

    • privacyAlgorithmStringRequired

      The privacy algorithm.

    • privacyPasswordStringRequired

      The privacy password.

    • portintRequired

      The port.

    • statusStringRequired

      The SNMP agent status.

    • securityLevelStringRequired

      The security level.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/snmp/agent

/zstack/v1/snmp/agent

Operation ID

QuerySnmpAgent

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/snmp/agent' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "f0ef8d847b573c6b86565e1d9111723b", "version": "v3", "userName": "zstack", "authAlgorithm": "SHA512", "authPassword": "auth_password", "privacyAlgorithm": "DES", "privacyPassword": "priv_password", "port": 161, "status": "Enable", "securityLevel": "authPriv" } ] }

Change History

This API has no change history records yet.

View all change history